Berkeley DB version 4.8.30

## com.sleepycat.db
Class ReplicationManagerSiteInfo

    java.lang.Object
      com.sleepycat.db.ReplicationManagerSiteInfo

    public class ReplicationManagerSiteInfo

extends Object

A simple wrapper class to hold information needed to define a replication site.

ReplicationManagerSiteInfo objects are returned by `Environment.getReplicationManagerSiteList`

Field Summary
`ReplicationHostAddress` `addr` The replication site's address
`int` `eid` The replication site's identifier

Constructor Summary
`ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid)` Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.
`ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid, boolean isConnected)` Create a ReplicationManagerSiteInfo with the given information.

Method Summary
`boolean` `isConnected()` The replication site is connected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addr

    public ReplicationHostAddress addr

  The replication site's address

### eid

    public int eid

  The replication site's identifier

Constructor Detail

### ReplicationManagerSiteInfo

    public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                      int eid)

  Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.

### ReplicationManagerSiteInfo

    public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                      int eid,
                                      boolean isConnected)

  Create a ReplicationManagerSiteInfo with the given information.

Method Detail

### isConnected

    public boolean isConnected()

  The replication site is connected.

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.